Skip to main content
PATCH

Authorizations

X-API-Key
string
header
required

Path Parameters

wabaId
string
required

WhatsApp Business Account ID.

Example:

"whatsapp-business-account-id"

phoneNumber
string
required

Phone number in E.164 format.

Example:

"+16315551111"

Body

application/json
username
string
required

Business Username to request for the phone number. Send the plain username without @.

YCloud trims leading and trailing whitespace and normalizes the value to lowercase before validation and submission. The value must be 3-35 characters, contain only English letters, numbers, periods, and underscores, and contain at least one English letter. It must not start or end with a period, contain consecutive periods, start with www, or end with common domain suffixes such as .com, .org, .net, .int, .edu, .gov, .mil, .us, .in, or .html.

Required string length: 3 - 35
Pattern: ^[A-Za-z0-9._]+$
Example:

"acme.support"

Response

Successfully submitted the update request.

Business Username state for a WhatsApp business phone number.

id
string

Phone number ID.

Example:

"1234567890123456"

wabaId
string

WhatsApp Business Account ID.

Example:

"whatsapp-business-account-id"

phoneNumber
string

Phone number in E.164 format.

Example:

"+16315551111"

displayPhoneNumber
string

Display phone number.

Example:

"+1 631-555-1111"

businessUsername
string

Active Business Username. The value is a plain username without @.

Example:

"acme.support"

businessUsernameStatus
enum<string>

Business Username state for a WhatsApp business phone number.

  • not_set: No active or pending Business Username exists.
  • active: A Business Username is active.
  • reserved: A requested Business Username is reserved by Meta and may still be under review.
  • pending_review: Legacy compatibility value for an under-review request. New writes use reserved. If an active username exists while a new request is reserved or under review, businessUsernameStatus is reserved, businessUsername contains the still-active username, and requestedBusinessUsername contains the requested username.
Available options:
not_set,
active,
pending_review,
reserved
requestedBusinessUsername
string

Last requested Business Username that is still under review. This value can coexist with an active businessUsername while the new request is pending.

Example:

"acme.help"

businessUsernameUpdatedAt
string<date-time>

The time when the Business Username state was last updated.

Example:

"2026-05-26T12:00:00.000Z"